Page MenuHomePhabricator

whonix-ws-firewall needs a VPN_FIREWALL feature
Closed, ResolvedPublic

Details

Impact
Normal

Event Timeline

Patrick created this task.Feb 10 2015, 12:50 PM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick added a project: whonix-ws-firewall.
Patrick added a subscriber: Patrick.
Patrick updated the task description. (Show Details)Feb 23 2015, 11:44 PM
Patrick removed a project: Whonix 11.
Patrick lowered the priority of this task from Normal to Wishlist.Jun 26 2015, 9:53 PM
Patrick raised the priority of this task from Wishlist to Normal.
Patrick removed a project: Whonix 12.
Patrick set Impact to Normal.
Patrick added a project: Whonix 12.
Patrick added a subscriber: HulaHoop.
Patrick edited projects, added Whonix 13; removed Whonix 12.Sep 8 2015, 5:42 PM
Patrick updated the task description. (Show Details)Jan 9 2016, 6:38 PM
Patrick changed the task status from Open to Review.Jan 20 2016, 6:18 PM
Apr 20 03:50:45 host systemd-tmpfiles[281]: Two or more conflicting lines for /run/openvpn configured, ignoring.

But since user tunnel has access to /var/run/openvpn, it should be alright.

Patrick closed this task as Resolved.May 4 2016, 6:56 PM
Patrick claimed this task.

This is now documented including a fix for T460.

https://www.whonix.org/wiki/Tunnels/Connecting_to_Tor_before_a_VPN#Setup_Tor_before_a_VPN_.28User_-.3E_Tor_-.3E_VPN_-.3E_Internet.29

And tested.

However, the documentation doing this with openvpn including a fix for T460 ridiculously difficult. Perhaps bitmask would do a bettter job than openvpn, created T506 to figure that out.